Deploy InternetArchiveBot on Latvian Wikipedia (lvwiki)
Closed, ResolvedPublic

Description

To speed up things a little bit, lvwiki community voted for IABot deployment.

RFC.

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptMay 22 2018, 11:39 AM
Restricted Application added subscribers: Cirdan, Cyberpower678. · View Herald Transcript
Cyberpower678 triaged this task as High priority.Jun 1 2018, 12:46 AM

@Edgars2007 Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I've found the bot approvals page at https://lv.wikipedia.org/wiki/Vikipēdija:Bota_statusa_pieteikumi

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?

Questions:

Do you want talk page messages?

I think we would prefer no talk page messages. At least not the first one (second bullet point at translateble messages). If data is saved in some database (accessible from Toolforge), then I think we won't need any talk page messages.

Do you use dead link templates and archive templates?

Yeah, the standart one from enwiki Dead link. For web archives - I think some colleague created (read - copyed from enwiki) one, but don't remember which. But it's not a problem to create one.

Where are your cite templates?

These are the ones:

All except "Atsauce" and "Publikācijas atsauce" are based on enwiki Cite module (based on aprrox. April 2015 version). Those two are not converted yet, because there were some problems (don't remember what, though).

What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?

Typically it's template: {{dat|YYYY|MM|DD||bez}}, "bez" is static.

Translations - will do it myself or my colleague will do in near time.

So the translations (very soon, I know :) )

  • Labotas ārējās saites ({{subst:CURRENTYEAR}}. gada {{subst:CURRENTMONTHNAME}})
  • Es esmu izlabojis {linksrescued} ārējās saites [[{namespacepage}]] lapā. Lūdzu pārbaudīt [{diff} manu labojumu]. Ja rodas jautājumi vai arī nepieciešams, lai bots ignorē saites vai šo lapu, lūdzu apmeklē [[:m:InternetArchiveBot/FAQ|šo lapu]]. Veicu šādus labojumus:\n{modifiedlinks}\n
  • Atrastas ārējās saites, kam nepieciešami labojumi ({{subst:CURRENTYEAR}}. gada {{subst:CURRENTMONTHNAME}})
  • Lapā [[{namespacepage}]] esmu atradis ārējās saites, kam nepieciešama uzmanība. Lūdzu pārbaudi šīs saites un izlabo, ja nepieciešams. Atradu šādas problēmas:\n{modifiedlinks}
  • Problēmas ar ārējo saišu arhivēšanu ({{subst:CURRENTYEAR}}. gada {{subst:CURRENTMONTHNAME}})
  • Arhivēšanas laikā nespēju arhivēt šādas saites:\n\n{problematiclinks}
  • {link} ir novecojis. Iesaku pievienot {newarchive} oriģinālajam URL.
  • {link} ir novecojis, arhīvs netika atrasts.
  • {link} tiek uzskatīts par novecojušu, tomēr tas ir izrādījies strādājošs. Tiek ieteikts noņemt novecojušas saites atzīmi.
  • {link} pievienots arhīvs {newarchive}
  • {link} arhīvs {oldarchive} aizvietots ar {newarchive}
  • Labots {link} lietojums/formatējums
  • {link} pievienota {{tlx|dead link}} veidne
  • Noņemta novecojušas saites atzīme {link}
  • Labots avots {link}
  • {problem} ar kļūdu {error}
  • Izglābti {linksrescued} avoti un {linkstagged} atzīmēti par novecojušiem
  • Paziņojums par kļūdām, kas radās arhivēšanas procesā
  • Paziņojums par labotiem avotiem, kurus nepieciešams pārbaudīt
Vvjjkkii renamed this task from Deploy InternetArchiveBot on Latvian Wikipedia (lvwiki) to licaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed Cyberpower678 as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Cyberpower678 renamed this task from licaaaaaaa to Deploy InternetArchiveBot on Latvian Wikipedia (lvwiki).Jul 1 2018, 2:16 PM
Cyberpower678 claimed this task.
Cyberpower678 updated the task description. (Show Details)
Cyberpower678 removed a subscriber: Cyberpower678.

Granted rights

@Edgars2007 can you please review the bot contributions to see if they are alright?

  1. hmm, you missed the date template: {{dat|YYYY|MM|DD||bez}}
  2. we probably will not need also such messages. Then no talk page messages at all, I guess.
  3. |titel= :)

Otherwise it looks fine.

One more thing.

(From this edit) <ref>{{Tīmekļa atsauce |url=http://www.whtj.gov.cn/documents/tjnj2010.pdf |titel=Wuhan Statistical Yearbook 2010 |access-date=15.07.2018 |archiveurl=https://web.archive.org/web/20111105213243/http://www.whtj.gov.cn/documents/tjnj2010.pdf |archivedate=05.11.2011 }} p. 15</ref>

I think you don't have to add |access-date=[today]. IMHO, it generally isn't correct, and there already may be access date in free-form (Ctrl+F in that page "Retrieved on"). Not saying, that you should be able to add that as access date, of course.

And to simply understand things, could you tell in which cases the bot adds {{Webarchive}} and in which cases it transforms cite to {{cite web}}?

One more thing.

(From this edit) <ref>{{Tīmekļa atsauce |url=http://www.whtj.gov.cn/documents/tjnj2010.pdf |titel=Wuhan Statistical Yearbook 2010 |access-date=15.07.2018 |archiveurl=https://web.archive.org/web/20111105213243/http://www.whtj.gov.cn/documents/tjnj2010.pdf |archivedate=05.11.2011 }} p. 15</ref>

I think you don't have to add |access-date=[today]. IMHO, it generally isn't correct, and there already may be access date in free-form (Ctrl+F in that page "Retrieved on"). Not saying, that you should be able to add that as access date, of course.

And to simply understand things, could you tell in which cases the bot adds {{Webarchive}} and in which cases it transforms cite to {{cite web}}?

Transforms usually happen when the URL is a standalone with no additional content behind it.

I've fixed the other bugs.

The accessdate thing is a bug. It shouldn't be using today's date. In the case of the URL mentioned above, it should be using 21:32 5 November 2011

OK, then when you are ready you could do another test batch. If after approx. 10 edits it looks OK to you, do approx. 100 more edits.

Bot is ready for deployment.

Cyberpower678 closed this task as Resolved.Mon, Jul 16, 3:54 PM

Bot deployed